MLDSAPrivateKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.mldsa

## Class MLDSAPrivateKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mldsa.MLDSAKeyParameters
    - - org.bouncycastle.pqc.crypto.mldsa.MLDSAPrivateKeyParameters

- All Implemented Interfaces:
    CipherParameters

  Deprecated.
  use org.bouncycastle.crypto.params.MLDSAPrivateKeyParameters

      @Deprecated
      public class MLDSAPrivateKeyParameters
      extends MLDSAKeyParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOTH` Deprecated.
    `static int` | `EXPANDED_KEY` Deprecated.
    `static int` | `SEED_ONLY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] encoding)` Deprecated.
    `MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] rho, byte[] K, byte[] tr, byte[] s1, byte[] s2, byte[] t0, byte[] t1)` Deprecated.
    `MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] rho, byte[] K, byte[] tr, byte[] s1, byte[] s2, byte[] t0, byte[] t1, byte[] seed)` Deprecated.
    `MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] encoding, MLDSAPublicKeyParameters pubKey)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Deprecated.
    `byte[]` | `getK()` Deprecated.
    `MLDSAPrivateKeyParameters` | `getParametersWithFormat(int format)` Deprecated.
    `int` | `getPreferredFormat()` Deprecated.
    `byte[]` | `getPrivateKey()` Deprecated. Use `getEncoded()` instead.
    `byte[]` | `getPublicKey()` Deprecated.
    `MLDSAPublicKeyParameters` | `getPublicKeyParameters()` Deprecated.
    `byte[]` | `getRho()` Deprecated.
    `byte[]` | `getS1()` Deprecated.
    `byte[]` | `getS2()` Deprecated.
    `byte[]` | `getSeed()` Deprecated.
    `byte[]` | `getT0()` Deprecated.
    `byte[]` | `getT1()` Deprecated.
    `byte[]` | `getTr()` Deprecated.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mldsa.MLDSAKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BOTH

          public static final int BOTH

      Deprecated.
      See Also:
        Constant Field Values

    - #### SEED_ONLY

          public static final int SEED_ONLY

      Deprecated.
      See Also:
        Constant Field Values

    - #### EXPANDED_KEY

          public static final int EXPANDED_KEY

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MLDSAPrivateKeyParameters

          public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                           byte[] encoding)

      Deprecated.

    - #### MLDSAPrivateKeyParameters

          public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                           byte[] rho,
                                           byte[] K,
                                           byte[] tr,
                                           byte[] s1,
                                           byte[] s2,
                                           byte[] t0,
                                           byte[] t1)

      Deprecated.

    - #### MLDSAPrivateKeyParameters

          public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                           byte[] rho,
                                           byte[] K,
                                           byte[] tr,
                                           byte[] s1,
                                           byte[] s2,
                                           byte[] t0,
                                           byte[] t1,
                                           byte[] seed)

      Deprecated.

    - #### MLDSAPrivateKeyParameters

          public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                           byte[] encoding,
                                           MLDSAPublicKeyParameters pubKey)

      Deprecated.

  - ### Method Detail

    - #### getParametersWithFormat

          public MLDSAPrivateKeyParameters getParametersWithFormat(int format)

      Deprecated.

    - #### getPreferredFormat

          public int getPreferredFormat()

      Deprecated.

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.

    - #### getK

          public byte[] getK()

      Deprecated.

    - #### getPrivateKey

          @Deprecated
          public byte[] getPrivateKey()

      Deprecated. Use `getEncoded()` instead.

    - #### getPublicKey

          public byte[] getPublicKey()

      Deprecated.

    - #### getSeed

          public byte[] getSeed()

      Deprecated.

    - #### getPublicKeyParameters

          public MLDSAPublicKeyParameters getPublicKeyParameters()

      Deprecated.

    - #### getRho

          public byte[] getRho()

      Deprecated.

    - #### getS1

          public byte[] getS1()

      Deprecated.

    - #### getS2

          public byte[] getS2()

      Deprecated.

    - #### getT0

          public byte[] getT0()

      Deprecated.

    - #### getT1

          public byte[] getT1()

      Deprecated.

    - #### getTr

          public byte[] getTr()

      Deprecated.